ANNOUNCE: Cabal-1.4 release candidate

Duncan Coutts duncan.coutts at
Sat Mar 29 16:31:04 EDT 2008

Hi everyone,

== Cabal-1.4 release candidate ==

The first release candidate of Cabal-1.4 is out:

Please test and report bugs:

The aim for the Cabal-1.4 release is to get various fixes and improvements into
the hands of developers and to support a release of cabal-install.

== cabal-install ==

A snapshot of cabal-install is available:

It requires the zlib and HTTP packages (both are available from hackage).
Bug reports should go in the same trac as above.

cabal-install is intended to be the standard command line interface to the whole
Cabal/Hackage system. It replaces the "runhaskell Setup.hs" interface and a few
other tools you may or may not have heard of (cabal-setup, cabal-upload,
cabal-get). cabal-install is usable now and we will be making a proper release
some time after the Cabal-1.4 release.

== Compatibility ==

We have tried to preserve compatibility with all packages that worked with the
Cabal-1.2.x series. That is, packages that can be built using Cabal (including
custom Setup.hs scripts) but not packages that directly import and use the Cabal
API. Packages that directly import and use the Cabal api will need updating.
This affects packages that build distro packages for example, rpm debs etc.

Currently we know of three packages on hackage where their Setup.hs scripts
compile with 1.2 but fail to compile with 1.4. We expect to make one further
change before the Cabal-1.4 release that will fix two of those packages. The one
remaining package, Takusen, will require an update to be able to work with both
Cabal-1.2.x and 1.4.x. A patch has been sent to the maintainers of Takusen.

== Remaining issues ==

There are a couple issues we expect to fix before the Cabal-1.4.0 release:
 * stricter decoding of UTF-8 in .cabal files
     (we'll borrow the code from the utf8-string package)
 * compatibility with the couple Setup.hs scripts that use the function

There are also a few bug fixes and enhancements we think we can probably do in
the 1.4.x stable series without breaking any APIs:

== Credits ==

On behalf of the Cabal hackers and the community generally I'd like to thank the
large number of people who have contributed patches during this development
series. Previously I was rather worried that we were not getting enough
contributors to fix bugs and do new feature development, but now I'm very
pleased. :-)

== Get involved ==

Of course there's still a lot to do! We have big plans for Cabal-2.0,
cabal-install and the Hackage website. So if you're interested in helping out
with this core infrastructure project then:

 * subscribe to the cabal-devel mailing list:

 * grab the source:

 * read the guide to the source code:

 * take a look at our list of bugs and feature requests:
   especially the easy tickets:

(wearing his Cabal release manager hat)

More information about the cabal-devel mailing list